Functions
Configuration functions
Peripheral Driver » LL Driver » DUAL_TIMER » Functions
Collaboration diagram for Configuration functions:

## Functions
__STATIC_INLINE void | ll_dual_timer_enable_counter (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer counter. More...
__STATIC_INLINE void | ll_dual_timer_disable_counter (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer counter. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_counter (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer counter is enabled. More...
__STATIC_INLINE void | ll_dual_timer_set_counter_mode (dual_timer_regs_t *DUAL_TIMERx, uint32_t counter_mode)
| Set the counter mode. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_counter_mode (dual_timer_regs_t *DUAL_TIMERx)
| Get the counter mode. More...
__STATIC_INLINE void | ll_dual_timer_set_prescaler (dual_timer_regs_t *DUAL_TIMERx, uint32_t prescaler)
| Set the prescaler. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_prescaler (dual_timer_regs_t *DUAL_TIMERx)
| Get the prescaler. More...
__STATIC_INLINE void | ll_dual_timer_set_counter_size (dual_timer_regs_t *DUAL_TIMERx, uint32_t counter_size)
| Set the counter size. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_counter_size (dual_timer_regs_t *DUAL_TIMERx)
| Get the counter size. More...
__STATIC_INLINE void | ll_dual_timer_enable_oneshot (dual_timer_regs_t *DUAL_TIMERx)
| Enable one-shot mode. More...
__STATIC_INLINE void | ll_dual_timer_disable_oneshot (dual_timer_regs_t *DUAL_TIMERx)
| Disable one-shot mode. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_oneshot (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the one-shot mode is enabled. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_counter (dual_timer_regs_t *DUAL_TIMERx)
| Get the counter value. More...
__STATIC_INLINE void | ll_dual_timer_set_auto_reload (dual_timer_regs_t *DUAL_TIMERx, uint32_t auto_reload)
| Set the auto-reload value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_auto_reload (dual_timer_regs_t *DUAL_TIMERx)
| Get the auto-reload value. More...
__STATIC_INLINE void | ll_dual_timer_set_background_reload (dual_timer_regs_t *DUAL_TIMERx, uint32_t background_reload)
| Set the backgroud-reload value. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_background_reload (dual_timer_regs_t *DUAL_TIMERx)
| Get the backgroud-reload value. More...

## Detailed Description

## Function Documentation

## ◆ ll_dual_timer_disable_counter()

__STATIC_INLINE void ll_dual_timer_disable_counter | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer counter.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | EN | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 230 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_disable_oneshot()

__STATIC_INLINE void ll_dual_timer_disable_oneshot | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable one-shot mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | ONESHOT | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 418 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_counter()

__STATIC_INLINE void ll_dual_timer_enable_counter | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer counter.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | EN | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 211 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_oneshot()

__STATIC_INLINE void ll_dual_timer_enable_oneshot | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable one-shot mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | ONESHOT | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 399 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_get_auto_reload()

__STATIC_INLINE uint32_t ll_dual_timer_get_auto_reload | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the auto-reload value.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | RELOAD | RELOAD | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Auto-reload | value

Definition at line 496 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_get_background_reload()

__STATIC_INLINE uint32_t ll_dual_timer_get_background_reload | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the backgroud-reload value.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | BG_LOAD | BG_LOAD | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value between Min_Data=0 and Max_Data=0xFFFFFFFF

Definition at line 535 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_get_counter()

__STATIC_INLINE uint32_t ll_dual_timer_get_counter | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the counter value.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | VALUE | VALUE | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Counter | value (between Min_Data=0 and Max_Data=0xFFFFFFFF)

Definition at line 456 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_get_counter_mode()

__STATIC_INLINE uint32_t ll_dual_timer_get_counter_mode | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the counter mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | MODE | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_FREERUNNING_MODE LL_DUAL_TIMER_PERIODIC_MODE

Definition at line 292 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_get_counter_size()

__STATIC_INLINE uint32_t ll_dual_timer_get_counter_size | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the counter size.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | SIZE | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_COUNTERSIZE_16 LL_DUAL_TIMER_COUNTERSIZE_32

Definition at line 380 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_get_prescaler()

__STATIC_INLINE uint32_t ll_dual_timer_get_prescaler | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get the prescaler.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | PRE | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  Return | value can be one of the following values: LL_DUAL_TIMER_PRESCALER_DIV0 LL_DUAL_TIMER_PRESCALER_DIV16 LL_DUAL_TIMER_PRESCALER_DIV256

Definition at line 337 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_counter()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_counter | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer counter is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | EN | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 249 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_oneshot()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_oneshot | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the one-shot mode is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | ONESHOT | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 437 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_set_auto_reload()

__STATIC_INLINE void ll_dual_timer_set_auto_reload | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | auto_reload
| ) |  |

Set the auto-reload value.

Note
  The counter is blocked while the auto-reload value is null.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | RELOAD | RELOAD | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance
  auto_reload | between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 477 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_set_background_reload()

__STATIC_INLINE void ll_dual_timer_set_background_reload | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | background_reload
| ) |  |

Set the backgroud-reload value.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | BG_LOAD | BG_LOAD | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance
  background_reload | between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 516 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_set_counter_mode()

__STATIC_INLINE void ll_dual_timer_set_counter_mode | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | counter_mode
| ) |  |

Set the counter mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | MODE | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance
  counter_mode | This parameter can be one of the following values: LL_DUAL_TIMER_FREERUNNING_MODE LL_DUAL_TIMER_PERIODIC_MODE

Return values

  None |

Definition at line 271 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_set_counter_size()

__STATIC_INLINE void ll_dual_timer_set_counter_size | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | counter_size
| ) |  |

Set the counter size.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | SIZE | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance
  counter_size | This parameter can be one of the following values: LL_DUAL_TIMER_COUNTERSIZE_16 LL_DUAL_TIMER_COUNTERSIZE_32

Return values

  None |

Definition at line 359 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_set_prescaler()

__STATIC_INLINE void ll_dual_timer_set_prescaler | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | uint32_t | prescaler
| ) |  |

Set the prescaler.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | PRE | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance
  prescaler | This parameter can be one of the following values: LL_DUAL_TIMER_PRESCALER_DIV0 LL_DUAL_TIMER_PRESCALER_DIV16 LL_DUAL_TIMER_PRESCALER_DIV256

Return values

  None |

Definition at line 315 of file gr55xx_ll_dual_tim.h.